Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infinispan.schematic.internal
Class SchematicEntryDelta

    java.lang.Object
      org.infinispan.schematic.internal.SchematicEntryDelta

All Implemented Interfaces:
  org.infinispan.atomic.Delta, DocumentObserver

    @SerializeWith(value=SchematicEntryDelta.Externalizer.class)
    public class SchematicEntryDelta

extends Object
implements org.infinispan.atomic.Delta, DocumentObserver

An implementation of the `Delta` for a `SchematicEntry`.

Since:
  5.1
Author:
  Randall Hauch (C) 2011 Red Hat Inc.
See Also:
  `AtomicHashMapDelta`

Nested Class Summary
`static class` | `SchematicEntryDelta.Externalizer`

Constructor Summary
`SchematicEntryDelta()`

Method Summary
`void` | `addOperation(Operation o)`
`int` | `getChangeLogSize()`
`org.infinispan.atomic.DeltaAware` | `merge(org.infinispan.atomic.DeltaAware d)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SchematicEntryDelta

    public SchematicEntryDelta()

Method Detail

### merge

    public org.infinispan.atomic.DeltaAware merge(org.infinispan.atomic.DeltaAware d)

  Specified by:
    `merge` in interface `org.infinispan.atomic.Delta`

### addOperation

    public void addOperation(Operation o)

  Specified by:
    `addOperation` in interface `DocumentObserver`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getChangeLogSize

    public int getChangeLogSize()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.